<div id="post-<?php the_ID() ?>" <?php post_class( 'tm-service' ); ?> <?php echo html_entity_decode( esc_attr( $box_inline_css ) );?>>
	<div class="service-item-current-style2">
		<div class="service-visible">
			<div class="service-thumb">
				<?php echo get_the_post_thumbnail( get_the_ID(), $feature_thumb_image_size, array( 'class' => 'img-fullwidth' ) );?>
			</div>
			<div class="service-details">
				<div class="service-icon">
					<?php mascot_core_konsil_wp_get_cpt_shortcode_template_part( 'icon', null, 'services/tpl', $params, false ); ?>
				</div>
				<?php if ( $show_title == 'yes' ) : ?>
					<<?php echo esc_attr( $title_tag );?> class="title"><a href="<?php the_permalink();?>"><?php the_title();?></a></<?php echo esc_attr( $title_tag );?>>
				<?php endif; ?>
			</div>
		</div>
		<div class="service-on-hover">
			<div class="service-thumb-full">
				<?php echo get_the_post_thumbnail( get_the_ID(), $feature_thumb_image_size, array( 'class' => 'img-fullwidth' ) );?>
			</div>
			<div class="service-details">
				<div class="service-icon">
					<?php mascot_core_konsil_wp_get_cpt_shortcode_template_part( 'icon', null, 'services/tpl', $params, false ); ?>
				</div>
				<?php if ( $show_title == 'yes' ) : ?>
					<<?php echo esc_attr( $title_tag );?> class="title"><a href="<?php the_permalink();?>"><?php the_title();?></a></<?php echo esc_attr( $title_tag );?>>
				<?php endif; ?>
				<?php if ( $show_excerpt == 'yes' ) : ?>
					<?php if ( empty($excerpt_length) ) { ?>
						<p class="excerpt">
							<?php echo esc_html( strip_shortcodes( get_the_excerpt() ) )?>
						</p>
					<?php } else { ?>
						<p class="excerpt">
							<?php $excerpt = get_the_excerpt(); echo esc_html( konsil_wp_slice_excerpt_by_length( $excerpt, $excerpt_length ) ); ?>
						</p>
					<?php } ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>